//$Id: LazyToOne.java 19092 2010-03-23 21:14:04Z stliu $
package org.hibernate.annotations;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * Define the lazy status of a ToOne association
 * (ie OneToOne or ManyToOne)
 *
 * @author Emmanuel Bernard
 */
@Target({ElementType.METHOD, ElementType.FIELD})
@Retention(RetentionPolicy.RUNTIME)
public @interface LazyToOne {
	LazyToOneOption value();
}
